%define debug_package %{nil}

Name:          pyarango
Version:       2.0.1
Release:       2
Summary:       Python Driver for ArangoDB with built-in validation
License:       Apache-2.0
URL:           https://github.com/ArangoDB-Community/pyArango
Source0:       https://files.pythonhosted.org/packages/9f/0e/e1b22ae0020ab9da9d481b42c426beac204ab79e8628267d135f16e09ad0/pyArango-%{version}.tar.gz
BuildArch:     noarch

Patch0001:     0001-remove-unused-install-require.patch

BuildRequires: python3-setuptools python3-devel


%description
pyArango aims to be an easy to use driver for ArangoDB with built in validation.
Collections are treated as types that apply to the documents within.
You can be 100% permissive or enforce schemas and validate fields on set, on save or on both.

pyArango supports graphs, indexes and probably everything that arangodb can do.


%package -n python3-pyarango
Summary:       %{summary}
Requires:      python3-future
Requires:      python3-requests >= 2.7.0
Provides:      python3-arango = %{version}-%{release}
%{?python_provide:%python_provide python3-pyarango}
Provides:      python3-pyArango = %{version}-%{release}


%description -n python3-pyarango
pyArango aims to be an easy to use driver for ArangoDB with built in validation.
Collections are treated as types that apply to the documents within.
You can be 100% permissive or enforce schemas and validate fields on set, on save or on both.

pyArango supports graphs, indexes and probably everything that arangodb can do.


%prep
%autosetup -n pyArango-%{version} -p1


%build
%py3_build


%install
%py3_install


%files -n python3-pyarango
%{python3_sitelib}/*
%exclude %{_bindir}/sample


%changelog
* Tue Aug 2 2022 algorithmofdish <hexiujun1@huawei.com> - 2.0.1-2
- add build require:python3-devel to provide pythonXdist

* Thu Jul 28 2022 algorithmofdish <hexiujun1@huawei.com> - 2.0.1-1
- Package init
